com.google.gwt.i18n.shared

## Class BidiFormatterBase.Format

- java.lang.Object
- - com.google.gwt.i18n.shared.BidiFormatterBase.Format

Enclosing class:
  BidiFormatterBase

    static final class BidiFormatterBase.Format
    extends java.lang.Object

A container class for direction-related string constants, e.g. Unicode formatting characters.

### Field Summary

Fields
`static java.lang.String` `LEFT` "left" string constant.
`static char` `LRE` Unicode "Left-To-Right Embedding" (LRE) character.
`static char` `LRM` Unicode "Left-To-Right Mark" (LRM) character.
`static java.lang.String` `LRM_STRING` String representation of LRM.
`static char` `PDF` Unicode "Pop Directional Formatting" (PDF) character.
`static java.lang.String` `RIGHT` "right" string constant.
`static char` `RLE` Unicode "Right-To-Left Embedding" (RLE) character.
`static char` `RLM` Unicode "Right-To-Left Mark" (RLM) character.
`static java.lang.String` `RLM_STRING` String representation of RLM.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LEFT

    public static final java.lang.String LEFT

"left" string constant.

See Also:
  Constant Field Values

#### LRE

    public static final char LRE

Unicode "Left-To-Right Embedding" (LRE) character.

See Also:
  Constant Field Values

#### LRM

    public static final char LRM

Unicode "Left-To-Right Mark" (LRM) character.

See Also:
  Constant Field Values

#### LRM_STRING

    public static final java.lang.String LRM_STRING

String representation of LRM.

#### PDF

    public static final char PDF

Unicode "Pop Directional Formatting" (PDF) character.

See Also:
  Constant Field Values

#### RIGHT

    public static final java.lang.String RIGHT

"right" string constant.

See Also:
  Constant Field Values

#### RLE

    public static final char RLE

Unicode "Right-To-Left Embedding" (RLE) character.

See Also:
  Constant Field Values

#### RLM

    public static final char RLM

Unicode "Right-To-Left Mark" (RLM) character.

See Also:
  Constant Field Values

#### RLM_STRING

    public static final java.lang.String RLM_STRING

String representation of RLM.